Masumi Logo

/webhooks

List webhook endpoints

GET
/webhooks
token<token>

API key authentication via header (token)

In: header

Query Parameters

paymentSourceId?|

Filter by payment source ID

cursorId?string

Cursor ID to paginate through the results

limit?number

Number of webhooks to return

Default10
Range1 <= value <= 50

Response Body

application/json

curl -X GET "https://loading/./../api/v1/webhooks"
{
  "status": "Success",
  "data": {
    "Webhooks": [
      {
        "id": "webhook_endpoint_id",
        "url": "https://your-server.com/webhook",
        "name": "My Webhook",
        "Events": [
          "PURCHASE_ON_CHAIN_STATUS_CHANGED",
          "WALLET_LOW_BALANCE"
        ],
        "isActive": true,
        "createdAt": "1970-01-20T20:00:36.260Z",
        "updatedAt": "1970-01-20T20:00:36.260Z",
        "paymentSourceId": null,
        "failureCount": 0,
        "lastSuccessAt": "1970-01-20T20:00:36.260Z",
        "disabledAt": null,
        "CreatedBy": {
          "apiKeyId": "api_key_id",
          "apiKeyToken": "masked_token"
        }
      }
    ]
  }
}
Empty
Empty
Masumi Kanji